<h1>Form Fields Demo</h1>

<h3>Text Field</h3>
<input type="text" name="txt"  [(ngModel)]="textValue" [maxlength]="25" />
<pre>Value: {{textValue | json}}</pre>

<h3>Text Area</h3>
<textarea name="txt" [cols]="30" [rows]="3" [(ngModel)]="textLongValue" ></textarea>
<pre>Value: {{textLongValue | json}}</pre>

<h3>Number Field</h3>
<input type="number" name="num"  [(ngModel)]="numberValue" [min]="1" [max]="100" /> <br/>
<input type="range"  name="num"  [(ngModel)]="numberValue" [min]="1" [max]="100" />
<pre>Value: {{numberValue | json}}</pre>

<h3>Boolean Value</h3>
<input type="checkbox" name="chk" [(ngModel)]="boolValue"  /> 
<pre>Value: {{boolValue | json}}</pre>

<h3>Date Value</h3>
<input type="date" name="today" 
    [ngModel]="dateValue.toLocaleDateString()" 
    (ngModelChange)="onDateChanged($event)" /> 
<pre>Value: {{dateValue | json}}</pre>

<h3>Radio Buttons</h3>
<div *ngFor="let a of answers">
    <label>{{a | uppercase}}</label>
    <input type="radio" name="answer" 
          [value]="a" [checked]="a === answer" (change)="onAnswerChanged($event)" />
</div>
<pre>Value: {{answer | json}}</pre>

<h3>Drop List</h3>
<select name="answer" [(ngModel)]="answer">
    <option *ngFor="let a of answers" 
            [value]="a" [selected]="a === answer">{{a | titlecase}}</option>
</select>
<pre>Value: {{answer | json}}</pre>

